/// <reference types="react" />
import FieldCoreBase, { IPropsFieldBase } from '@react-form-fields/core/components/FieldCoreBase';
import { DatePickerWrapperProps } from 'material-ui-pickers/DatePicker/DatePickerWrapper';
import { IBaseFieldProps } from '../interfaces/props';
declare type PropsResolver = {
    [K in Exclude<keyof IPropsFieldBase, keyof DatePickerWrapperProps | 'mask'>]?: IPropsFieldBase[K];
};
interface IProps extends PropsResolver, IBaseFieldProps {
    value: Date;
    helperText: string;
    onChange: (value: Date) => void;
    minDate?: Date;
    maxDate?: Date;
    disablePast?: boolean;
    disableFuture?: boolean;
    format?: string;
}
export default class FieldDate extends FieldCoreBase<IProps> {
    onChange: (date?: Date) => void;
    onBlur: (e: any) => void;
    render(): JSX.Element;
}
export {};
